Skip to main content
GET
/
ws
/
1.1
/
artist.get
artist.get
curl --request GET \
  --url 'https://api.musixmatch.com/ws/1.1/artist.get?apikey='
{ "message": { "body": { "artist": { "artist_alias_list": [ { "artist_alias": "テイラー・スウィフト" }, { "artist_alias": "泰勒·史薇芙特" }, { "artist_alias": "Taylor Alison Swift" }, { "artist_alias": "fu ci" }, { "artist_alias": "da Z" }, { "artist_alias": "Taylor Swift" }, { "artist_alias": "Lew" } ], "artist_comment": "", "artist_country": "US", "artist_credits": { "artist_list": [] }, "artist_id": 259675, "artist_name": "Taylor Swift", "artist_name_translation_list": [ { "artist_name_translation": { "language": "JA", "translation": "テイラー・スウィフト" } } ], "artist_twitter_url": "https://twitter.com/taylorswift13", "begin_date": "1989-00-00", "begin_date_year": "1989", "end_date": "0000-00-00", "end_date_year": "", "restricted": 0, "updated_time": "2024-03-07T04:07:57Z" } }, "header": { "execute_time": 0.0054030418395996, "status_code": 200 } } }

Authorizations

apikey
string
query
required

Query Parameters

artist_id
string
required

The Musixmatch artist ID.

Example:

"259675"

Response

200 - application/json

200 OK / 401 Unauthorized / 404 Not Found

message
object